For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Get access
Getting Started Key Concepts Integration Types Core Components Embed Hosted API API Reference
  • API Reference
    • Contribution Reports
    • Events and Webhooks
      • GETList associated persons
      • POSTCreate an associated person
      • GETRetrieve an associated person
      • PUTUpdate an associated person
      • DELDelete an associated person
    • API Errors
Get access
LogoLogo
API ReferenceAssociated Persons

List associated persons

GET
/employees/:employee_id/associated_persons
GET
/employees/:employee_id/associated_persons
$curl https://test.api.kota.io/employees/ee_3b1333d87d9d4fd6ad83ba7f6b0e951a/associated_persons \
> -H "Authorization: Bearer <apiKey>" \
> -H "Content-Type: application/json"
1{
2 "items": [
3 {
4 "id": "ap_9f8b7c6d5e4a3b2c1d0e9f8a7b6c5d4e",
5 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
6 "first_name": "Emily",
7 "last_name": "Johnson",
8 "date_of_birth": "1985-07-14",
9 "sex_at_birth": "female",
10 "relationship_type": "spouse",
11 "platform_id": "pt_1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p",
12 "email": "emily.johnson@example.com",
13 "phone_number": "+14155552671",
14 "object": "associated_person"
15 },
16 {
17 "id": "ap_4e5f6a7b8c9d0e1f2a3b4c5d6e7f8g9h",
18 "employee_id": "ee_3b1333d87d9d4fd6ad83ba7f6b0e951a",
19 "first_name": "Michael",
20 "last_name": "Johnson",
21 "date_of_birth": "2010-03-22",
22 "sex_at_birth": "male",
23 "relationship_type": "child",
24 "platform_id": "pt_1a2b3c4d5e6f7g8h9i0j1k2l3m4n5o6p",
25 "object": "associated_person"
26 }
27 ],
28 "page": 1,
29 "page_size": 2,
30 "total_count": 2,
31 "has_next_page": false,
32 "has_previous_page": false
33}

Returns a list of all associated person’s for a specific employee. The associated person’s are returned sorted by creation date, with the most recent associated person appearing first.

Previous

Submitanswers

Next

Create an associated person

Built with

Authentication

AuthorizationBearer
Authorization header using the Bearer scheme

Path parameters

employee_idstringRequiredformat: "ee_.+"

Query parameters

pageintegerOptional
The page of results to return. Defaults to 1 if not provided.
page_sizeintegerOptional
The number of results to return per page. Defaults to 10 if not provided. Maximum value is 100.

Response

OK
itemslist of objects
A paginated array containing the response elements
pageinteger
The current page of the results
page_sizeinteger
The number of results on this page. This can be different from the requested page size if the total number of results is less than the requested page size
total_countinteger
The total number of elements available in the response. This is the total number of elements available across all pages, not just the current page.
has_next_pagebooleanRead-only
Whether there are more pages available after this page
has_previous_pagebooleanRead-only
Whether there are more pages available before this page

Errors

404
Not Found Error